The eDirectory included with NW 6.0 (8.6.x) is sufficient to be fully
compatible with NW 6.5. There is no strong requirement to upgrade to
8.7.3.x before upgrading to NetWare 6.5 or OES, especially if you plan
to upgrade to OES anyway.
It's just a more general recommendation that it is best to run all
servers on the same eDirectory version if possible. However it is not a
hard requirement.
If you want to upgrade 8.7.3, I would recommend you to go to 8.7.3.4.
After 8.7.3.6 was pulled, the 8.7.3.4 patch has been made available
again. The upgrade procedure in that case would be to first download
eDirectory 8.7.3 from download.novell.com and install it, and then once
this is done, upgrade to 8.7.3.4.

--
Marcel Cox
http://support.novell.com/forums